/************************************************/
/*       3DStudio Data for C applications       */
/************************************************/

#define TETRA 0
#define TITLE 1
#define REFLECT 2
#define REFLECT01 3
#define GLOBE 4
#define BACK 5
#define REFLECT02 6

#define NUM_MESHES 7

float GroupCenter[3] = {14.159032f,  30.665066f,  -5.460130f};


/***********************************************
                    MATERIALS
***********************************************/

#define Yellow 0
#define Mtitle 1
#define Reflect 2
#define Blue 3
#define Logo 4

int NumMaterials = 5;

struct TagMatInfo { char  *MatName;
                    char  *MatFile;
                    float MatAmbient[3];
                    float MatDiffuse[3];
                    float MatSpecular[3];
                    float MatShininess;
                    float MatTransparency;
                    short MatShading;
                  } MatInfo[6] = {
"Yellow",
                 "",
                 {0.200000f, 0.349020f, 0.200000f},
                 {1.000000f, 1.000000f, 0.000000f},
                 {0.898039f, 0.898039f, 0.898039f},
                 41943.441406f,
                 0.000000f,
                 3,

"Mtitle",
                 "Title.bmp",
                 {0.200000f, 0.349020f, 0.349020f},
                 {1.000000f, 1.000000f, 1.000000f},
                 {0.898039f, 0.898039f, 0.898039f},
                 41943.441406f,
                 0.000000f,
                 3,

"Reflect",
                 "Reflect.bmp",
                 {0.349020f, 0.200000f, 0.349020f},
                 {0.698039f, 0.400000f, 0.698039f},
                 {0.898039f, 0.898039f, 0.898039f},
                 41943.441406f,
                 0.000000f,
                 3,

"Blue",
                 "",
                 {0.200000f, 0.200000f, 0.349020f},
                 {0.000000f, 0.000000f, 0.784314f},
                 {0.898039f, 0.898039f, 0.898039f},
                 41943.441406f,
                 0.000000f,
                 3,

"Logo",
                 "pvr.bmp",
                 {0.349020f, 0.200000f, 0.200000f},
                 {1.000000f, 1.000000f, 1.000000f},
                 {0.898039f, 0.898039f, 0.898039f},
                 41943.441406f,
                 0.000000f,
                 3,

NULL };


/***********************************************
                      Tetra
***********************************************/

int   NumFaces_Tetra  = 12;
int   NumVertex_Tetra = 8;
int   TexMap_Tetra    = FALSE;
int   Material_Tetra  = Yellow;
float Center_Tetra[3] = {9.991487f,  56.187050f,  50.862370f};

float Vertex_Tetra[][3] = {
   { 9.938044f, 27.996967f, 46.853371f },   { 62.499847f, 27.683493f, 79.880669f },
   { -35.459335f, 27.774803f, 87.913254f },   { 3.201160f, 28.567923f, 4.838181f },
   { 9.938044f, 84.368301f, 46.853371f },   { 9.938044f, 84.368301f, 46.853371f },
   { 9.938044f, 84.368301f, 46.853371f },   { 9.938044f, 84.368301f, 46.853371f },
{ 0.0f, 0.0f, 0.0f } };    // End of Vertex_Tetra

float Normals_Tetra[][3] = {
   { -0.001703f, -0.999936f, -0.011228f },   { -0.167740f, -0.964614f, 0.203428f },
   { -0.561240f, -0.767425f, 0.309949f },   { 0.488567f, -0.686263f, -0.538838f },
   { 0.737878f, 0.346864f, -0.578984f },   { -0.682345f, 0.402365f, 0.610334f },
   { 0.286461f, 0.682465f, -0.672444f },   { 0.000000f, 0.000000f, 0.000000f },
{ 0.0f, 0.0f, 0.0f } };    // End of Normals_Tetra

float UV_Tetra[][2] = {
{0.0f, 0.0f} };    // End of UV_Tetra

int Faces_Tetra[][3] = {
   {   1,   2,   0 },   {   2,   3,   0 },
   {   3,   1,   0 },   {   4,   5,   1 },
   {   5,   2,   1 },   {   5,   6,   2 },
   {   6,   3,   2 },   {   6,   4,   3 },
   {   4,   1,   3 },   {   5,   4,   7 },
   {   6,   5,   7 },   {   4,   6,   7 },
{0, 0, 0} };    // End of Faces_Tetra



/***********************************************
                      Title
***********************************************/

int   NumFaces_Title  = 2;
int   NumVertex_Title = 4;
int   TexMap_Title    = TRUE;
int   Material_Title  = Mtitle;
float Center_Title[3] = {12.882668f,  38.700111f,  -93.865166f};

float Vertex_Title[][3] = {
   { 88.741821f, 38.700111f, -84.450142f },   { -62.976486f, 38.700111f, -84.450165f },
   { 88.741821f, 38.700111f, -103.280167f },   { -62.976486f, 38.700111f, -103.280190f },
{ 0.0f, 0.0f, 0.0f } };    // End of Vertex_Title

float Normals_Title[][3] = {
   { 0.000000f, 1.000000f, 0.000000f },   { 0.000000f, 1.000000f, 0.000000f },
   { 0.000000f, 1.000000f, 0.000000f },   { 0.000000f, 1.000000f, 0.000000f },
{ 0.0f, 0.0f, 0.0f } };    // End of Normals_Title

float UV_Title[][2] = {
   { 1.000000f, 0.999999f },   { 0.000000f, 1.000000f },
   { 1.000000f, 0.000000f },   { 0.000000f, 0.000001f },
{0.0f, 0.0f} };    // End of UV_Title

int Faces_Title[][3] = {
   {   2,   1,   0 },   {   1,   2,   3 },
{0, 0, 0} };    // End of Faces_Title



/***********************************************
                    Reflect
***********************************************/

int   NumFaces_Reflect  = 103;
int   NumVertex_Reflect = 77;
int   TexMap_Reflect    = TRUE;
int   Material_Reflect  = Reflect;
float Center_Reflect[3] = {20.521416f,  26.538950f,  -26.022259f};

float Vertex_Reflect[][3] = {
   { 61.802490f, 36.928612f, -72.721718f },   { 70.862808f, 34.489704f, -44.116882f },
   { 37.659039f, 34.489704f, -54.905449f },   { 79.325745f, 30.702318f, -17.533634f },
   { 46.626450f, 31.326279f, -26.014668f },   { 15.187141f, 30.702318f, -38.373531f },
   { 6.183983f, 33.027451f, -68.545570f },   { -13.697090f, 28.856142f, -54.101120f },
   { 86.953415f, 25.644108f, 5.756309f },   { 55.184464f, 26.614500f, 0.273437f },
   { 24.251114f, 26.614500f, -9.777422f },   { -4.673264f, 25.644108f, -24.015011f },
   { -30.491493f, 23.740131f, -41.899277f },   { 63.201401f, 20.470676f, 22.129442f },
   { 33.314777f, 20.806370f, 14.954438f },   { 4.918640f, 20.470676f, 3.192214f },
   { -21.022888f, 19.474991f, -12.757884f },   { -43.629005f, 17.853121f, -32.354313f },
   { -39.522148f, 25.644104f, -71.980423f },   { -55.280640f, 19.474991f, -59.909641f },
   { -39.960098f, 12.573850f, -12.757899f },   { -61.132553f, 12.573850f, -41.899277f },
   { -14.935768f, 13.541572f, 7.569756f },   { 13.583973f, 14.034786f, 23.052660f },
   { 44.517323f, 14.034786f, 33.103519f },   { 76.690903f, 13.541572f, 37.341084f },
   { -60.380997f, 20.184946f, -81.015846f },   { -51.331421f, 22.977571f, -81.015846f },
   { -63.341675f, 12.758148f, -47.628067f },   { -63.341675f, 11.595563f, -44.004128f },
   { -63.341675f, 16.734316f, -65.485191f },   { -63.341675f, 18.893623f, -81.015846f },
   { -52.618591f, 8.248737f, -20.958157f },   { -34.127884f, 8.248737f, -0.593507f },
   { -57.245331f, 8.248737f, -27.326313f },   { -28.789619f, 8.248737f, 4.079757f },
   { -6.236000f, 8.248737f, 20.402254f },   { -2.075127f, 8.248737f, 22.768328f },
   { 24.764194f, 8.248737f, 34.703999f },   { 28.623856f, 8.248737f, 35.958073f },
   { 57.352921f, 8.248737f, 42.077686f },   { 62.109879f, 8.248737f, 42.609196f },
   { -63.341675f, 8.248737f, -37.987896f },   { 88.282799f, 36.293442f, -65.045593f },
   { 88.282799f, 35.621952f, -57.193390f },   { 88.282799f, 33.728909f, -40.232666f },
   { 88.282799f, 31.534760f, -24.378155f },   { 88.282799f, 30.195259f, -16.365299f },
   { 88.282799f, 25.815014f, 4.743431f },   { 88.282799f, 25.563498f, 5.786232f },
   { 88.282799f, 24.403461f, 9.520462f },   { 88.282799f, 19.648172f, 24.065874f },
   { 88.282799f, 8.914353f, 41.991718f },   { 88.282799f, 13.193124f, 36.715824f },
   { 88.282799f, 17.617914f, 28.500933f },   { 73.063324f, 37.416409f, -80.999290f },
   { 59.163139f, 37.231918f, -81.001244f },   { 38.840244f, 36.366245f, -81.004105f },
   { 29.626720f, 35.909203f, -81.005402f },   { 23.334686f, 35.400852f, -81.006287f },
   { 4.999245f, 33.561119f, -81.008858f },   { -18.718033f, 30.392843f, -81.012192f },
   { -11.876045f, 31.406965f, -81.011230f },   { -27.150345f, 28.805794f, -81.013382f },
   { -40.825386f, 25.918871f, -81.015305f },   { -44.701836f, 24.833633f, -81.015846f },
   { 73.101601f, 37.416222f, -80.999283f },   { 88.282799f, 36.294872f, -65.067368f },
   { 73.101624f, 37.416222f, -80.999283f },   { 88.282799f, 37.340908f, -80.997154f },
   { 88.282799f, 8.248737f, 42.657627f },   { 88.282799f, 37.854931f, -80.997154f },
   { -63.343018f, 37.854931f, -81.018471f },   { 9.938042f, 86.035774f, 46.853352f },
   { 9.938042f, 86.035774f, 46.853352f },   { 9.938042f, 86.035774f, 46.853352f },
   { 9.938042f, 86.035774f, 46.853352f },{ 0.0f, 0.0f, 0.0f } };    // End of Vertex_Reflect

float Normals_Reflect[][3] = {
   { -0.021975f, 0.997468f, 0.067632f },   { -0.008501f, 0.993718f, 0.111593f },
   { -0.058715f, 0.993718f, 0.095278f },   { 0.004684f, 0.985434f, 0.169996f },
   { -0.051333f, 0.986106f, 0.157987f },   { -0.105846f, 0.984479f, 0.139989f },
   { -0.111862f, 0.990417f, 0.080998f },   { -0.164264f, 0.979170f, 0.119345f },
   { 0.020620f, 0.968362f, 0.248696f },   { -0.043564f, 0.970549f, 0.236932f },
   { -0.104021f, 0.970549f, 0.217288f },   { -0.166178f, 0.966419f, 0.196009f },
   { -0.236985f, 0.956134f, 0.172180f },   { -0.027892f, 0.936219f, 0.350307f },
   { -0.108439f, 0.936408f, 0.333739f },   { -0.182433f, 0.933563f, 0.308509f },
   { -0.259740f, 0.924333f, 0.279542f },   { -0.339480f, 0.907700f, 0.246647f },
   { -0.238112f, 0.966353f, 0.097284f },   { -0.359005f, 0.918493f, 0.165789f },
   { -0.428263f, 0.815991f, 0.388264f },   { -0.502259f, 0.811423f, 0.298878f },
   { -0.336978f, 0.826133f, 0.451608f },   { -0.229975f, 0.837424f, 0.495815f },
   { -0.122504f, 0.838107f, 0.531573f },   { -0.009796f, 0.839742f, 0.542897f },
   { -0.345501f, 0.931368f, 0.114820f },   { -0.277142f, 0.957510f, 0.079797f },
   { -0.484907f, 0.847912f, 0.214266f },   { -0.627474f, 0.704785f, 0.330990f },
   { -0.409489f, 0.899957f, 0.149655f },   { -0.396578f, 0.909255f, 0.126418f },
   { -0.522483f, 0.745872f, 0.413142f },   { -0.463040f, 0.741455f, 0.485633f },
   { -0.602282f, 0.707091f, 0.370512f },   { -0.415944f, 0.742650f, 0.524845f },
   { -0.340377f, 0.765247f, 0.546388f },   { -0.291358f, 0.759967f, 0.581000f },
   { -0.218108f, 0.774432f, 0.593872f },   { -0.165400f, 0.762760f, 0.625172f },
   { -0.093170f, 0.770799f, 0.630229f },   { -0.023550f, 0.737099f, 0.675374f },
   { -0.647730f, 0.665784f, 0.370375f },   { 0.002622f, 0.997298f, 0.073422f },
   { 0.008935f, 0.995140f, 0.098068f },   { 0.014686f, 0.991619f, 0.128362f },
   { 0.023505f, 0.988261f, 0.150953f },   { 0.030718f, 0.981234f, 0.190358f },
   { 0.041262f, 0.974929f, 0.218659f },   { 0.052405f, 0.962729f, 0.265342f },
   { 0.021845f, 0.951785f, 0.305988f },   { 0.000849f, 0.924321f, 0.381615f },
   { 0.018233f, 0.731128f, 0.681997f },   { 0.054841f, 0.830949f, 0.553639f },
   { 0.024850f, 0.895036f, 0.445302f },   { -0.001155f, 0.998355f, 0.057324f },
   { -0.027892f, 0.998576f, 0.045473f },   { -0.047129f, 0.996902f, 0.062974f },
   { -0.070014f, 0.994674f, 0.075644f },   { -0.090012f, 0.993791f, 0.065397f },
   { -0.113086f, 0.992158f, 0.053233f },   { -0.165201f, 0.982422f, 0.086922f },
   { -0.136302f, 0.988261f, 0.069002f },   { -0.195245f, 0.977893f, 0.074866f },
   { -0.248165f, 0.966511f, 0.065343f },   { -0.268967f, 0.960712f, 0.068474f },
   { 0.003256f, 0.997739f, 0.067122f },   { 0.003283f, 0.997741f, 0.067097f },
   { 0.002471f, 0.997691f, 0.067867f },   { 0.004941f, 0.997839f, 0.065523f },
   { -0.001308f, 0.707262f, 0.706951f },   { 0.000000f, 0.000000f, 0.000000f },
   { 0.000000f, 0.000000f, 0.000000f },   { 0.000000f, 0.000000f, 0.000000f },
   { 0.000000f, 0.000000f, 0.000000f },   { 0.000000f, 0.000000f, 0.000000f },
   { 0.000000f, 0.000000f, 0.000000f },{ 0.0f, 0.0f, 0.0f } };    // End of Normals_Reflect

float UV_Reflect[][2] = {
   { 0.841082f, 0.352972f },   { 0.890539f, 0.296526f },
   { 0.814452f, 0.270529f },   { -0.049286f, 0.243780f },
   { 0.885632f, 0.182610f },   { 0.760226f, 0.167242f },
   { 0.736217f, 0.273490f },   { 0.682506f, 0.211499f },
   { 0.004055f, 0.210972f },   { -0.013325f, 0.139931f },
   { -0.136590f, 0.062132f },   { 0.662241f, 0.105127f },
   { 0.630014f, 0.172969f },   { 0.055019f, 0.136008f },
   { 0.077855f, 0.063430f },   { 0.513996f, 0.020348f },
   { 0.573295f, 0.094044f },   { 0.591229f, 0.150991f },
   { 0.654352f, 0.244051f },   { 0.620182f, 0.206333f },
   { 0.548845f, 0.109527f },   { 0.588523f, 0.163621f },
   { 0.478575f, 0.058345f },   { 0.240773f, 0.041399f },
   { 0.117729f, 0.091355f },   { 0.076490f, 0.143862f },
   { 0.637109f, 0.239228f },   { 0.647409f, 0.248343f },
   { 0.594949f, 0.172086f },   { 0.589626f, 0.164441f },
   { 0.617912f, 0.207059f },   { 0.633966f, 0.234549f },
   { 0.557973f, 0.122046f },   { 0.515158f, 0.084259f },
   { 0.566943f, 0.132543f },   { 0.499145f, 0.074654f },
   { 0.384748f, 0.045714f },   { 0.354350f, 0.043699f },
   { 0.189637f, 0.060469f },   { 0.175796f, 0.065307f },
   { 0.112266f, 0.104715f },   { 0.105492f, 0.111309f },
   { 0.580271f, 0.147952f },   { 0.882593f, 0.360099f },
   { 0.892100f, 0.345993f },   { 0.916164f, 0.310116f },
   { 0.943257f, 0.274541f },   { -0.041489f, 0.256666f },
   { 0.001859f, 0.214907f },   { 0.004047f, 0.213128f },
   { 0.011865f, 0.205445f },   { 0.041459f, 0.181833f },
   { 0.074173f, 0.147580f },   { 0.065090f, 0.159611f },
   { 0.050019f, 0.173915f },   { 0.848692f, 0.375019f },
   { 0.830060f, 0.364266f },   { 0.797951f, 0.342787f },
   { 0.781748f, 0.333643f },   { 0.770266f, 0.325806f },
   { 0.736026f, 0.303942f },   { 0.693952f, 0.280909f },
   { 0.705538f, 0.286921f },   { 0.680488f, 0.272235f },
   { 0.660760f, 0.259798f },   { 0.655654f, 0.255189f },
   { 0.848740f, 0.375041f },   { 0.882568f, 0.360133f },
   { 0.848740f, 0.375041f },   { 0.866052f, 0.383728f },
   { 0.075285f, 0.145840f },   { 0.866052f, 0.389334f },
   { 0.633967f, 0.389348f },   { 0.259361f, 0.922198f },
   { 0.259361f, 0.922198f },   { 0.259361f, 0.922198f },
   { 0.259361f, 0.922198f },{0.0f, 0.0f} };    // End of UV_Reflect

int Faces_Reflect[][3] = {
   {   2,   1,   0 },   {   4,   3,   1 },
   {   2,   4,   1 },   {   5,   4,   2 },
   {   6,   5,   2 },   {   7,   5,   6 },
   {   9,   8,   3 },   {   4,   9,   3 },
   {  10,   9,   4 },   {   5,  10,   4 },
   {  11,  10,   5 },   {   7,  11,   5 },
   {  12,  11,   7 },   {   9,  13,   8 },
   {  14,  13,   9 },   {  10,  14,   9 },
   {  15,  14,  10 },   {  11,  15,  10 },
   {  16,  15,  11 },   {  12,  16,  11 },
   {  17,  16,  12 },   {  18,  12,   7 },
   {  19,  17,  12 },   {  18,  19,  12 },
   {  21,  20,  17 },   {  16,  17,  20 },
   {  22,  16,  20 },   {  15,  16,  22 },
   {  23,  15,  22 },   {  14,  15,  23 },
   {  24,  14,  23 },   {  13,  14,  24 },
   {  25,  13,  24 },   {  17,  19,  21 },
   {  18,  26,  19 },   {  26,  18,  27 },
   {  29,  21,  28 },   {  19,  28,  21 },
   {  28,  19,  30 },   {  26,  30,  19 },
   {  30,  26,  31 },   {  21,  32,  20 },
   {  32,  33,  20 },   {  22,  20,  33 },
   {  32,  21,  34 },   {  33,  35,  22 },
   {  35,  36,  22 },   {  23,  22,  36 },
   {  36,  37,  23 },   {  37,  38,  23 },
   {  24,  23,  38 },   {  38,  39,  24 },
   {  39,  40,  24 },   {  25,  24,  40 },
   {  40,  41,  25 },   {  29,  34,  21 },
   {  34,  29,  42 },   {   0,   1,  43 },
   {  43,   1,  44 },   {  44,   1,  45 },
   {   3,  45,   1 },   {  45,   3,  46 },
   {  46,   3,  47 },   {   8,  47,   3 },
   {  47,   8,  48 },   {  48,   8,  49 },
   {  49,   8,  50 },   {  13,  50,   8 },
   {  25,  51,  13 },   {  13,  51,  50 },
   {  41,  52,  25 },   {  52,  53,  25 },
   {  25,  54,  51 },   {  25,  53,  54 },
   {  43,  55,   0 },   {  55,  56,   0 },
   {  56,  57,   0 },   {   2,   0,  57 },
   {  57,  58,   2 },   {   6,   2,  58 },
   {  58,  59,   6 },   {  59,  60,   6 },
   {   7,   6,  61 },   {  18,   7,  61 },
   {  61,   6,  62 },   {  60,  62,   6 },
   {  61,  63,  18 },   {  63,  64,  18 },
   {  27,  18,  64 },   {  64,  65,  27 },
   {  55,  43,  66 },   {  68,  66,  67 },
   {  43,  67,  66 },   {  67,  69,  68 },
   {  52,  41,  70 },   {  57,  57,  72 },
   {  58,  58,  72 },   {  61,  61,  72 },
   {  61,  61,  72 },   {  68,  68,  71 },
   {  74,  73,  76 },   {  75,  74,  76 },
   {  73,  75,  76 },{0, 0, 0} };    // End of Faces_Reflect



/***********************************************
                  Reflect01
***********************************************/

int   NumFaces_Reflect01  = 3;
int   NumVertex_Reflect01 = 9;
int   TexMap_Reflect01    = TRUE;
int   Material_Reflect01  = Reflect;
float Center_Reflect01[3] = {10.034953f,  46.939663f,  54.123009f};

float Vertex_Reflect01[][3] = {
   { 63.551083f, 27.445656f, 80.541206f },   { -36.367279f, 27.538790f, 88.734444f },
   { 9.938042f, 85.264168f, 46.853352f },   { -36.367279f, 27.538790f, 88.734444f },
   { 3.066422f, 28.347782f, 3.997871f },   { 9.938042f, 85.264168f, 46.853352f },
   { 63.551083f, 27.445656f, 80.541206f },   { 3.066422f, 28.347782f, 3.997871f },
   { 9.938042f, 85.264168f, 46.853352f },{ 0.0f, 0.0f, 0.0f } };    // End of Vertex_Reflect01

float Normals_Reflect01[][3] = {
   { 0.068810f, 0.549103f, 0.832917f },   { 0.068810f, 0.549103f, 0.832917f },
   { 0.068810f, 0.549103f, 0.832917f },   { -0.835880f, 0.391000f, -0.385259f },
   { -0.835880f, 0.391000f, -0.385259f },   { -0.835880f, 0.391000f, -0.385259f },
   { 0.737878f, 0.346864f, -0.578984f },   { 0.737878f, 0.346864f, -0.578984f },
   { 0.737878f, 0.346864f, -0.578984f },{ 0.0f, 0.0f, 0.0f } };    // End of Normals_Reflect01

float UV_Reflect01[][2] = {
   { 0.095485f, 0.140263f },   { 0.388056f, 0.150622f },
   { 0.478903f, 0.990861f },   { 0.388056f, 0.150622f },
   { 0.711246f, 0.107470f },   { 0.478903f, 0.990861f },
   { 0.095485f, 0.140263f },   { -0.288754f, 0.107470f },
   { 0.478903f, 0.990861f },{0.0f, 0.0f} };    // End of UV_Reflect01

int Faces_Reflect01[][3] = {
   {   2,   1,   0 },   {   5,   4,   3 },
   {   8,   6,   7 },{0, 0, 0} };    // End of Faces_Reflect01



/***********************************************
                      Globe
***********************************************/

int   NumFaces_Globe  = 103;
int   NumVertex_Globe = 77;
int   TexMap_Globe    = TRUE;
int   Material_Globe  = Logo;
float Center_Globe[3] = {20.562996f,  25.595070f,  -26.210901f};

float Vertex_Globe[][3] = {
   { 61.844070f, 35.984734f, -72.910362f },   { 70.904388f, 33.545826f, -44.305527f },
   { 37.700619f, 33.545826f, -55.094093f },   { 79.367325f, 29.758438f, -17.722279f },
   { 46.668030f, 30.382399f, -26.203312f },   { 15.228722f, 29.758438f, -38.562176f },
   { 6.225563f, 32.083572f, -68.734215f },   { -13.655510f, 27.912264f, -54.289764f },
   { 86.994995f, 24.700228f, 5.567665f },   { 55.226044f, 25.670620f, 0.084792f },
   { 24.292694f, 25.670620f, -9.966066f },   { -4.631683f, 24.700228f, -24.203655f },
   { -30.449913f, 22.796251f, -42.087921f },   { 63.242981f, 19.526798f, 21.940798f },
   { 33.356358f, 19.862492f, 14.765794f },   { 4.960220f, 19.526798f, 3.003570f },
   { -20.981308f, 18.531111f, -12.946528f },   { -43.587425f, 16.909241f, -32.542957f },
   { -39.480568f, 24.700224f, -72.169067f },   { -55.239059f, 18.531111f, -60.098286f },
   { -39.918518f, 11.629970f, -12.946544f },   { -61.090973f, 11.629971f, -42.087921f },
   { -14.894188f, 12.597692f, 7.381111f },   { 13.625553f, 13.090906f, 22.864016f },
   { 44.558903f, 13.090907f, 32.914875f },   { 76.732483f, 12.597692f, 37.152439f },
   { -60.339417f, 19.241066f, -81.204491f },   { -51.289841f, 22.033691f, -81.204491f },
   { -63.300095f, 11.814268f, -47.816711f },   { -63.300095f, 10.651683f, -44.192772f },
   { -63.300095f, 15.790437f, -65.673836f },   { -63.300095f, 17.949745f, -81.204491f },
   { -52.577011f, 7.304858f, -21.146801f },   { -34.086304f, 7.304858f, -0.782151f },
   { -57.203751f, 7.304858f, -27.514957f },   { -28.748039f, 7.304858f, 3.891113f },
   { -6.194420f, 7.304858f, 20.213610f },   { -2.033546f, 7.304858f, 22.579683f },
   { 24.805775f, 7.304858f, 34.515354f },   { 28.665436f, 7.304858f, 35.769428f },
   { 57.394501f, 7.304858f, 41.889042f },   { 62.151459f, 7.304858f, 42.420551f },
   { -63.300095f, 7.304858f, -38.176540f },   { 88.324379f, 35.349560f, -65.234238f },
   { 88.324379f, 34.678070f, -57.382034f },   { 88.324379f, 32.785030f, -40.421310f },
   { 88.324379f, 30.590881f, -24.566799f },   { 88.324379f, 29.251379f, -16.553944f },
   { 88.324379f, 24.871134f, 4.554786f },   { 88.324379f, 24.619619f, 5.597587f },
   { 88.324379f, 23.459583f, 9.331818f },   { 88.324379f, 18.704292f, 23.877230f },
   { 88.324379f, 7.970474f, 41.803074f },   { 88.324379f, 12.249244f, 36.527180f },
   { 88.324379f, 16.674034f, 28.312288f },   { 73.104904f, 36.472530f, -81.187935f },
   { 59.204720f, 36.288040f, -81.189888f },   { 38.881824f, 35.422363f, -81.192749f },
   { 29.668301f, 34.965321f, -81.194046f },   { 23.376266f, 34.456974f, -81.194931f },
   { 5.040825f, 32.617237f, -81.197502f },   { -18.676453f, 29.448963f, -81.200836f },
   { -11.834465f, 30.463085f, -81.199875f },   { -27.108765f, 27.861914f, -81.202026f },
   { -40.783806f, 24.974991f, -81.203949f },   { -44.660255f, 23.889753f, -81.204491f },
   { 73.143181f, 36.472340f, -81.187927f },   { 88.324379f, 35.350990f, -65.256012f },
   { 73.143204f, 36.472340f, -81.187927f },   { 88.324379f, 36.397030f, -81.185799f },
   { 88.324379f, 7.304858f, 42.468983f },   { 88.324379f, 36.911053f, -81.185799f },
   { -63.301437f, 36.911053f, -81.207115f },   { 9.979622f, 85.091896f, 46.664707f },
   { 9.979622f, 85.091896f, 46.664707f },   { 9.979622f, 85.091896f, 46.664707f },
   { 9.979622f, 85.091896f, 46.664707f },{ 0.0f, 0.0f, 0.0f } };    // End of Vertex_Globe

float Normals_Globe[][3] = {
   { -0.021975f, 0.997468f, 0.067632f },   { -0.008501f, 0.993718f, 0.111593f },
   { -0.058715f, 0.993718f, 0.095278f },   { 0.004684f, 0.985434f, 0.169996f },
   { -0.051333f, 0.986106f, 0.157987f },   { -0.105846f, 0.984479f, 0.139989f },
   { -0.111862f, 0.990417f, 0.080998f },   { -0.164264f, 0.979170f, 0.119345f },
   { 0.020619f, 0.968362f, 0.248696f },   { -0.043564f, 0.970549f, 0.236932f },
   { -0.104021f, 0.970549f, 0.217288f },   { -0.166178f, 0.966419f, 0.196009f },
   { -0.236985f, 0.956134f, 0.172180f },   { -0.027892f, 0.936219f, 0.350307f },
   { -0.108439f, 0.936408f, 0.333739f },   { -0.182433f, 0.933563f, 0.308509f },
   { -0.259740f, 0.924333f, 0.279542f },   { -0.339480f, 0.907700f, 0.246647f },
   { -0.238112f, 0.966353f, 0.097284f },   { -0.359005f, 0.918493f, 0.165789f },
   { -0.428263f, 0.815991f, 0.388264f },   { -0.502259f, 0.811423f, 0.298878f },
   { -0.336978f, 0.826133f, 0.451608f },   { -0.229975f, 0.837424f, 0.495815f },
   { -0.122504f, 0.838107f, 0.531573f },   { -0.009796f, 0.839742f, 0.542897f },
   { -0.345501f, 0.931368f, 0.114820f },   { -0.277142f, 0.957510f, 0.079797f },
   { -0.484907f, 0.847912f, 0.214266f },   { -0.627475f, 0.704784f, 0.330990f },
   { -0.409488f, 0.899957f, 0.149655f },   { -0.396578f, 0.909255f, 0.126418f },
   { -0.522483f, 0.745872f, 0.413142f },   { -0.463040f, 0.741455f, 0.485633f },
   { -0.602282f, 0.707091f, 0.370512f },   { -0.415944f, 0.742650f, 0.524845f },
   { -0.340377f, 0.765247f, 0.546388f },   { -0.291358f, 0.759967f, 0.581000f },
   { -0.218108f, 0.774432f, 0.593872f },   { -0.165400f, 0.762760f, 0.625172f },
   { -0.093170f, 0.770799f, 0.630229f },   { -0.023550f, 0.737099f, 0.675374f },
   { -0.647730f, 0.665784f, 0.370375f },   { 0.002642f, 0.997299f, 0.073403f },
   { 0.008935f, 0.995140f, 0.098068f },   { 0.014686f, 0.991619f, 0.128362f },
   { 0.023505f, 0.988261f, 0.150953f },   { 0.030718f, 0.981234f, 0.190358f },
   { 0.041262f, 0.974929f, 0.218658f },   { 0.052404f, 0.962729f, 0.265341f },
   { 0.021845f, 0.951785f, 0.305988f },   { 0.000849f, 0.924321f, 0.381615f },
   { 0.018233f, 0.731128f, 0.681997f },   { 0.054841f, 0.830949f, 0.553639f },
   { 0.024850f, 0.895036f, 0.445302f },   { -0.001122f, 0.998357f, 0.057292f },
   { -0.027892f, 0.998576f, 0.045473f },   { -0.047129f, 0.996902f, 0.062973f },
   { -0.070014f, 0.994674f, 0.075644f },   { -0.090012f, 0.993791f, 0.065398f },
   { -0.113086f, 0.992158f, 0.053233f },   { -0.165201f, 0.982422f, 0.086922f },
   { -0.136302f, 0.988261f, 0.069002f },   { -0.195245f, 0.977893f, 0.074866f },
   { -0.248165f, 0.966511f, 0.065343f },   { -0.268967f, 0.960712f, 0.068474f },
   { 0.003289f, 0.997741f, 0.067091f },   { 0.003283f, 0.997741f, 0.067097f },
   { 0.002470f, 0.997691f, 0.067867f },   { 0.004941f, 0.997839f, 0.065524f },
   { -0.001308f, 0.707262f, 0.706951f },   { 0.000000f, 0.000000f, 0.000000f },
   { 0.000000f, 0.000000f, 0.000000f },   { 0.000000f, 0.000000f, 0.000000f },
   { 0.000000f, 0.000000f, 0.000000f },   { 0.000000f, 0.000000f, 0.000000f },
   { 0.000000f, 0.000000f, 0.000000f },{ 0.0f, 0.0f, 0.0f } };    // End of Normals_Globe

float UV_Globe[][2] = {
   { 0.829242f, 0.069515f },   { 0.888376f, 0.284635f },
   { 0.671664f, 0.203501f },   { 0.943612f, 0.484552f },
   { 0.730192f, 0.420771f },   { 0.524996f, 0.327828f },
   { 0.466235f, 0.100922f },   { 0.336476f, 0.209550f },
   { 0.993395f, 0.659702f },   { 0.786048f, 0.618469f },
   { 0.584154f, 0.542882f },   { 0.395372f, 0.435810f },
   { 0.226864f, 0.301313f },   { 0.838372f, 0.782835f },
   { 0.643310f, 0.728876f },   { 0.457976f, 0.640419f },
   { 0.288663f, 0.520468f },   { 0.141119f, 0.373095f },
   { 0.167923f, 0.075090f },   { 0.065071f, 0.165867f },
   { 0.165065f, 0.520468f },   { 0.026878f, 0.301313f },
   { 0.328392f, 0.673340f },   { 0.514533f, 0.789778f },
   { 0.716426f, 0.865364f },   { 0.926415f, 0.897232f },
   { 0.031783f, 0.007140f },   { 0.090847f, 0.007140f },
   { 0.012459f, 0.258230f },   { 0.012459f, 0.285483f },
   { 0.012459f, 0.123937f },   { 0.012459f, 0.007140f },
   { 0.082446f, 0.458799f },   { 0.203130f, 0.611949f },
   { 0.052248f, 0.410907f },   { 0.237971f, 0.647094f },
   { 0.385173f, 0.769846f },   { 0.412330f, 0.787640f },
   { 0.587503f, 0.877401f },   { 0.612694f, 0.886832f },
   { 0.800201f, 0.932854f },   { 0.831248f, 0.936851f },
   { 0.012459f, 0.330728f },   { 1.002072f, 0.127243f },
   { 1.002072f, 0.186294f },   { 1.002072f, 0.313846f },
   { 1.002072f, 0.433078f },   { 1.002072f, 0.493338f },
   { 1.002072f, 0.652085f },   { 1.002072f, 0.659927f },
   { 1.002072f, 0.688010f },   { 1.002072f, 0.797397f },
   { 1.002072f, 0.932207f },   { 1.002072f, 0.892530f },
   { 1.002072f, 0.830751f },   { 0.902738f, 0.007264f },
   { 0.812016f, 0.007250f },   { 0.679373f, 0.007228f },
   { 0.619239f, 0.007218f },   { 0.578173f, 0.007212f },
   { 0.458502f, 0.007192f },   { 0.303706f, 0.007167f },
   { 0.348362f, 0.007175f },   { 0.248670f, 0.007159f },
   { 0.159417f, 0.007144f },   { 0.134116f, 0.007140f },
   { 0.902988f, 0.007264f },   { 1.002072f, 0.127079f },
   { 0.902988f, 0.007264f },   { 1.002072f, 0.007280f },
   { 1.002072f, 0.937215f },   { 1.002072f, 0.007280f },
   { 0.012450f, 0.007120f },   { 0.490737f, 0.968769f },
   { 0.490737f, 0.968769f },   { 0.490737f, 0.968769f },
   { 0.490737f, 0.968769f },{0.0f, 0.0f} };    // End of UV_Globe

int Faces_Globe[][3] = {
   {   2,   1,   0 },   {   4,   3,   1 },
   {   2,   4,   1 },   {   5,   4,   2 },
   {   6,   5,   2 },   {   7,   5,   6 },
   {   9,   8,   3 },   {   4,   9,   3 },
   {  10,   9,   4 },   {   5,  10,   4 },
   {  11,  10,   5 },   {   7,  11,   5 },
   {  12,  11,   7 },   {   9,  13,   8 },
   {  14,  13,   9 },   {  10,  14,   9 },
   {  15,  14,  10 },   {  11,  15,  10 },
   {  16,  15,  11 },   {  12,  16,  11 },
   {  17,  16,  12 },   {  18,  12,   7 },
   {  19,  17,  12 },   {  18,  19,  12 },
   {  21,  20,  17 },   {  16,  17,  20 },
   {  22,  16,  20 },   {  15,  16,  22 },
   {  23,  15,  22 },   {  14,  15,  23 },
   {  24,  14,  23 },   {  13,  14,  24 },
   {  25,  13,  24 },   {  17,  19,  21 },
   {  18,  26,  19 },   {  26,  18,  27 },
   {  29,  21,  28 },   {  19,  28,  21 },
   {  28,  19,  30 },   {  26,  30,  19 },
   {  30,  26,  31 },   {  21,  32,  20 },
   {  32,  33,  20 },   {  22,  20,  33 },
   {  32,  21,  34 },   {  33,  35,  22 },
   {  35,  36,  22 },   {  23,  22,  36 },
   {  36,  37,  23 },   {  37,  38,  23 },
   {  24,  23,  38 },   {  38,  39,  24 },
   {  39,  40,  24 },   {  25,  24,  40 },
   {  40,  41,  25 },   {  29,  34,  21 },
   {  34,  29,  42 },   {   0,   1,  43 },
   {  43,   1,  44 },   {  44,   1,  45 },
   {   3,  45,   1 },   {  45,   3,  46 },
   {  46,   3,  47 },   {   8,  47,   3 },
   {  47,   8,  48 },   {  48,   8,  49 },
   {  49,   8,  50 },   {  13,  50,   8 },
   {  25,  51,  13 },   {  13,  51,  50 },
   {  41,  52,  25 },   {  52,  53,  25 },
   {  25,  54,  51 },   {  25,  53,  54 },
   {  43,  55,   0 },   {  55,  56,   0 },
   {  56,  57,   0 },   {   2,   0,  57 },
   {  57,  58,   2 },   {   6,   2,  58 },
   {  58,  59,   6 },   {  59,  60,   6 },
   {   7,   6,  61 },   {  18,   7,  61 },
   {  61,   6,  62 },   {  60,  62,   6 },
   {  61,  63,  18 },   {  63,  64,  18 },
   {  27,  18,  64 },   {  64,  65,  27 },
   {  55,  43,  66 },   {  68,  66,  67 },
   {  43,  67,  66 },   {  67,  69,  68 },
   {  52,  41,  70 },   {  57,  57,  72 },
   {  58,  58,  72 },   {  61,  61,  72 },
   {  61,  61,  72 },   {  68,  68,  71 },
   {  74,  73,  76 },   {  75,  74,  76 },
   {  73,  75,  76 },{0, 0, 0} };    // End of Faces_Globe



/***********************************************
                       Back
***********************************************/

int   NumFaces_Back  = 28;
int   NumVertex_Back = 16;
int   TexMap_Back    = FALSE;
int   Material_Back  = Blue;
float Center_Back[3] = {12.498604f,  20.888432f,  3.344696f};

float Vertex_Back[][3] = {
   { -74.097298f, -0.054906f, 107.926140f },   { -74.097298f, -0.105017f, -109.182503f },
   { 99.099304f, 0.150203f, 107.926140f },   { 99.099304f, 0.100091f, -109.182503f },
   { 99.099304f, 38.263958f, -109.182503f },   { -74.097298f, 38.058849f, -109.182503f },
   { 99.099304f, 38.314068f, 107.926140f },   { -74.097298f, 38.108959f, 107.926140f },
   { 88.858887f, 38.263958f, -81.603104f },   { -63.866478f, 38.058849f, -81.603104f },
   { 88.858887f, 38.314068f, 96.238251f },   { -63.866478f, 38.108959f, 96.238251f },
   { -63.866478f, 7.030603f, -81.603104f },   { -63.866478f, 7.080715f, 96.238251f },
   { 88.858887f, 7.285823f, 96.238251f },   { 88.858887f, 7.235712f, -81.603104f },
{ 0.0f, 0.0f, 0.0f } };    // End of Vertex_Back

float Normals_Back[][3] = {
   { -0.816304f, -0.408394f, 0.408488f },   { -0.332666f, -0.666910f, -0.666757f },
   { 0.334001f, -0.666423f, 0.666577f },   { 0.816689f, -0.408103f, -0.408009f },
   { 0.332749f, 0.666701f, -0.666925f },   { -0.534880f, 0.801555f, -0.267231f },
   { 0.534219f, 0.801923f, 0.267448f },   { -0.218694f, 0.872833f, 0.436275f },
   { -0.408745f, 0.816335f, 0.408075f },   { 0.534324f, 0.801904f, 0.267298f },
   { -0.302104f, 0.904318f, -0.301566f },   { 0.332732f, 0.666574f, -0.667060f },
   { 0.332579f, 0.666949f, 0.666761f },   { 0.816275f, 0.408412f, -0.408527f },
   { -0.577813f, 0.577037f, -0.577200f },   { -0.577921f, 0.577146f, 0.576984f },
{ 0.0f, 0.0f, 0.0f } };    // End of Normals_Back

float UV_Back[][2] = {
   { 0.041537f, 0.000000f },   { 0.041537f, 0.000000f },
   { 1.000000f, 0.000000f },   { 1.000000f, 0.000000f },
   { 1.000000f, 0.000000f },   { 0.041537f, 0.000000f },
   { 1.000000f, 0.000000f },   { 0.041537f, 0.000000f },
   { 0.943330f, 0.000000f },   { 0.098154f, 0.000000f },
   { 0.943330f, 0.000000f },   { 0.098154f, 0.000000f },
   { 0.098154f, 0.000000f },   { 0.098154f, 0.000000f },
   { 0.943330f, 0.000000f },   { 0.943330f, 0.000000f },
{0.0f, 0.0f} };    // End of UV_Back

int Faces_Back[][3] = {
   {   2,   0,   1 },   {   1,   3,   2 },
   {   4,   3,   1 },   {   1,   5,   4 },
   {   6,   2,   3 },   {   3,   4,   6 },
   {   7,   0,   2 },   {   2,   6,   7 },
   {   5,   1,   0 },   {   0,   7,   5 },
   {   8,   4,   5 },   {   8,   6,   4 },
   {   9,   8,   5 },   {   9,   5,   7 },
   {  10,   6,   8 },   {  10,   7,   6 },
   {  10,  11,   7 },   {  11,   9,   7 },
   {  14,  12,  13 },   {  12,  14,  15 },
   {  12,  15,   8 },   {   8,  15,  14 },
   {   8,   9,  12 },   {  13,  12,   9 },
   {   8,  14,  10 },   {  14,  13,  11 },
   {  14,  11,  10 },   {  13,   9,  11 },
{0, 0, 0} };    // End of Faces_Back



/***********************************************
                  Reflect02
***********************************************/

int   NumFaces_Reflect02  = 288;
int   NumVertex_Reflect02 = 169;
int   TexMap_Reflect02    = TRUE;
int   Material_Reflect02  = Reflect;
float Center_Reflect02[3] = {12.621101f,  -0.193820f,  -0.452659f};

float Vertex_Reflect02[][3] = {
   { -73.418350f, -0.193820f, -109.203033f },   { 12.621101f, -0.193820f, -109.203033f },
   { 98.660553f, -0.193820f, -109.203033f },   { -73.418350f, -0.193820f, -0.452660f },
   { 12.621101f, -0.193820f, -0.452660f },   { 98.660553f, -0.193820f, -0.452660f },
   { -73.418350f, -0.193820f, 108.297714f },   { 12.621101f, -0.193820f, 108.297714f },
   { 98.660553f, -0.193820f, 108.297714f },   { -59.078430f, -0.193820f, -109.203033f },
   { -44.738525f, -0.193820f, -109.203026f },   { -30.398624f, -0.193820f, -109.203033f },
   { -16.058712f, -0.193820f, -109.203033f },   { -1.718809f, -0.193820f, -109.203026f },
   { 12.621101f, -0.193820f, -91.077972f },   { 12.621101f, -0.193820f, -72.952896f },
   { 12.621101f, -0.193820f, -54.827850f },   { 12.621101f, -0.193820f, -36.702782f },
   { 12.621101f, -0.193820f, -18.577724f },   { -1.718806f, -0.193820f, -0.452660f },
   { -16.058714f, -0.193820f, -0.452660f },   { -30.398624f, -0.193820f, -0.452660f },
   { -44.738533f, -0.193820f, -0.452660f },   { -59.078438f, -0.193820f, -0.452660f },
   { -73.418343f, -0.193820f, -18.577721f },   { -73.418335f, -0.193820f, -36.702782f },
   { -73.418343f, -0.193820f, -54.827850f },   { -73.418350f, -0.193820f, -72.952911f },
   { -73.418358f, -0.193820f, -91.077965f },   { 26.961010f, -0.193820f, -109.203033f },
   { 41.300919f, -0.193820f, -109.203026f },   { 55.640827f, -0.193820f, -109.203033f },
   { 69.980736f, -0.193820f, -109.203033f },   { 84.320641f, -0.193820f, -109.203026f },
   { 98.660545f, -0.193820f, -91.077972f },   { 98.660538f, -0.193820f, -72.952896f },
   { 98.660545f, -0.193820f, -54.827843f },   { 98.660553f, -0.193820f, -36.702778f },
   { 98.660561f, -0.193820f, -18.577724f },   { 84.320633f, -0.193820f, -0.452660f },
   { 69.980728f, -0.193820f, -0.452660f },   { 55.640827f, -0.193820f, -0.452660f },
   { 41.300915f, -0.193820f, -0.452660f },   { 26.961012f, -0.193820f, -0.452660f },
   { 12.621101f, -0.193820f, 17.672401f },   { 12.621101f, -0.193820f, 35.797462f },
   { 12.621101f, -0.193820f, 53.922531f },   { 12.621101f, -0.193820f, 72.047592f },
   { 12.621101f, -0.193820f, 90.172646f },   { -1.718806f, -0.193820f, 108.297714f },
   { -16.058714f, -0.193820f, 108.297707f },   { -30.398624f, -0.193820f, 108.297714f },
   { -44.738533f, -0.193820f, 108.297714f },   { -59.078438f, -0.193820f, 108.297707f },
   { -73.418343f, -0.193820f, 90.172653f },   { -73.418335f, -0.193820f, 72.047577f },
   { -73.418343f, -0.193820f, 53.922531f },   { -73.418350f, -0.193820f, 35.797462f },
   { -73.418358f, -0.193820f, 17.672405f },   { 98.660545f, -0.193820f, 17.672401f },
   { 98.660538f, -0.193820f, 35.797462f },   { 98.660545f, -0.193820f, 53.922523f },
   { 98.660553f, -0.193820f, 72.047585f },   { 98.660561f, -0.193820f, 90.172646f },
   { 84.320633f, -0.193820f, 108.297714f },   { 69.980728f, -0.193820f, 108.297707f },
   { 55.640827f, -0.193820f, 108.297714f },   { 41.300915f, -0.193820f, 108.297714f },
   { 26.961012f, -0.193820f, 108.297707f },   { -59.078445f, -0.193820f, -91.077980f },
   { -44.738529f, -0.193820f, -91.077965f },   { -30.398632f, -0.193820f, -91.077988f },
   { -16.058714f, -0.193820f, -91.077980f },   { -1.718809f, -0.193820f, -91.077972f },
   { -59.078438f, -0.193820f, -72.952911f },   { -44.738533f, -0.193820f, -72.952911f },
   { -30.398624f, -0.193820f, -72.952911f },   { -16.058714f, -0.193820f, -72.952904f },
   { -1.718810f, -0.193820f, -72.952904f },   { -59.078445f, -0.193820f, -54.827854f },
   { -44.738529f, -0.193820f, -54.827847f },   { -30.398628f, -0.193820f, -54.827858f },
   { -16.058716f, -0.193820f, -54.827854f },   { -1.718809f, -0.193820f, -54.827847f },
   { -59.078438f, -0.193820f, -36.702785f },   { -44.738533f, -0.193820f, -36.702785f },
   { -30.398624f, -0.193820f, -36.702785f },   { -16.058716f, -0.193820f, -36.702785f },
   { -1.718809f, -0.193820f, -36.702782f },   { -59.078438f, -0.193820f, -18.577724f },
   { -44.738529f, -0.193820f, -18.577723f },   { -30.398628f, -0.193820f, -18.577724f },
   { -16.058714f, -0.193820f, -18.577724f },   { -1.718809f, -0.193820f, -18.577724f },
   { 26.961012f, -0.193820f, -91.077980f },   { 41.300919f, -0.193820f, -91.077965f },
   { 55.640835f, -0.193820f, -91.077980f },   { 69.980736f, -0.193820f, -91.077972f },
   { 84.320641f, -0.193820f, -91.077965f },   { 26.961010f, -0.193820f, -72.952911f },
   { 41.300919f, -0.193820f, -72.952904f },   { 55.640827f, -0.193820f, -72.952911f },
   { 69.980736f, -0.193820f, -72.952904f },   { 84.320641f, -0.193820f, -72.952904f },
   { 26.961010f, -0.193820f, -54.827854f },   { 41.300919f, -0.193820f, -54.827847f },
   { 55.640831f, -0.193820f, -54.827854f },   { 69.980736f, -0.193820f, -54.827847f },
   { 84.320633f, -0.193820f, -54.827843f },   { 26.961010f, -0.193820f, -36.702785f },
   { 41.300919f, -0.193820f, -36.702785f },   { 55.640827f, -0.193820f, -36.702785f },
   { 69.980743f, -0.193820f, -36.702782f },   { 84.320641f, -0.193820f, -36.702782f },
   { 26.961010f, -0.193820f, -18.577724f },   { 41.300919f, -0.193820f, -18.577723f },
   { 55.640831f, -0.193820f, -18.577724f },   { 69.980736f, -0.193820f, -18.577724f },
   { 84.320641f, -0.193820f, -18.577724f },   { -59.078445f, -0.193820f, 17.672407f },
   { -44.738529f, -0.193820f, 17.672403f },   { -30.398632f, -0.193820f, 17.672405f },
   { -16.058714f, -0.193820f, 17.672405f },   { -1.718809f, -0.193820f, 17.672405f },
   { -59.078438f, -0.193820f, 35.797470f },   { -44.738533f, -0.193820f, 35.797470f },
   { -30.398624f, -0.193820f, 35.797470f },   { -16.058714f, -0.193820f, 35.797470f },
   { -1.718810f, -0.193820f, 35.797466f },   { -59.078445f, -0.193820f, 53.922543f },
   { -44.738529f, -0.193820f, 53.922527f },   { -30.398628f, -0.193820f, 53.922539f },
   { -16.058716f, -0.193820f, 53.922531f },   { -1.718809f, -0.193820f, 53.922527f },
   { -59.078438f, -0.193820f, 72.047592f },   { -44.738533f, -0.193820f, 72.047592f },
   { -30.398624f, -0.193820f, 72.047600f },   { -16.058716f, -0.193820f, 72.047600f },
   { -1.718809f, -0.193820f, 72.047600f },   { -59.078438f, -0.193820f, 90.172653f },
   { -44.738529f, -0.193820f, 90.172653f },   { -30.398628f, -0.193820f, 90.172661f },
   { -16.058714f, -0.193820f, 90.172661f },   { -1.718809f, -0.193820f, 90.172646f },
   { 26.961012f, -0.193820f, 17.672407f },   { 41.300919f, -0.193820f, 17.672403f },
   { 55.640835f, -0.193820f, 17.672405f },   { 69.980736f, -0.193820f, 17.672405f },
   { 84.320641f, -0.193820f, 17.672405f },   { 26.961010f, -0.193820f, 35.797470f },
   { 41.300919f, -0.193820f, 35.797470f },   { 55.640827f, -0.193820f, 35.797470f },
   { 69.980736f, -0.193820f, 35.797466f },   { 84.320641f, -0.193820f, 35.797466f },
   { 26.961010f, -0.193820f, 53.922543f },   { 41.300919f, -0.193820f, 53.922527f },
   { 55.640831f, -0.193820f, 53.922535f },   { 69.980736f, -0.193820f, 53.922531f },
   { 84.320633f, -0.193820f, 53.922523f },   { 26.961010f, -0.193820f, 72.047592f },
   { 41.300919f, -0.193820f, 72.047592f },   { 55.640827f, -0.193820f, 72.047600f },
   { 69.980743f, -0.193820f, 72.047592f },   { 84.320641f, -0.193820f, 72.047585f },
   { 26.961010f, -0.193820f, 90.172653f },   { 41.300919f, -0.193820f, 90.172653f },
   { 55.640831f, -0.193820f, 90.172653f },   { 69.980736f, -0.193820f, 90.172646f },
   { 84.320641f, -0.193820f, 90.172638f },{ 0.0f, 0.0f, 0.0f } };    // End of Vertex_Reflect02

float Normals_Reflect02[][3] = {
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },   { 0.000000f, -1.000000f, 0.000000f },
   { 0.000000f, -1.000000f, 0.000000f },{ 0.0f, 0.0f, 0.0f } };    // End of Normals_Reflect02

float UV_Reflect02[][2] = {
   { 1.000000f, 1.000000f },   { 0.500000f, 1.000000f },
   { 0.000000f, 1.000000f },   { 1.000000f, 0.500000f },
   { 0.500000f, 0.500000f },   { 0.000000f, 0.500000f },
   { 1.000000f, 0.000000f },   { 0.500000f, 0.000000f },
   { 0.000000f, 0.000000f },   { 0.916667f, 1.000000f },
   { 0.833333f, 1.000000f },   { 0.750000f, 1.000000f },
   { 0.666667f, 1.000000f },   { 0.583333f, 1.000000f },
   { 0.500000f, 0.916667f },   { 0.500000f, 0.833333f },
   { 0.500000f, 0.750000f },   { 0.500000f, 0.666667f },
   { 0.500000f, 0.583333f },   { 0.583333f, 0.500000f },
   { 0.666667f, 0.500000f },   { 0.750000f, 0.500000f },
   { 0.833333f, 0.500000f },   { 0.916667f, 0.500000f },
   { 1.000000f, 0.583333f },   { 1.000000f, 0.666667f },
   { 1.000000f, 0.750000f },   { 1.000000f, 0.833333f },
   { 1.000000f, 0.916667f },   { 0.416667f, 1.000000f },
   { 0.333333f, 1.000000f },   { 0.250000f, 1.000000f },
   { 0.166667f, 1.000000f },   { 0.083333f, 1.000000f },
   { 0.000000f, 0.916667f },   { 0.000000f, 0.833333f },
   { 0.000000f, 0.750000f },   { 0.000000f, 0.666667f },
   { 0.000000f, 0.583333f },   { 0.083333f, 0.500000f },
   { 0.166667f, 0.500000f },   { 0.250000f, 0.500000f },
   { 0.333333f, 0.500000f },   { 0.416667f, 0.500000f },
   { 0.500000f, 0.416667f },   { 0.500000f, 0.333333f },
   { 0.500000f, 0.250000f },   { 0.500000f, 0.166667f },
   { 0.500000f, 0.083333f },   { 0.583333f, 0.000000f },
   { 0.666667f, 0.000000f },   { 0.750000f, 0.000000f },
   { 0.833333f, 0.000000f },   { 0.916667f, 0.000000f },
   { 1.000000f, 0.083333f },   { 1.000000f, 0.166667f },
   { 1.000000f, 0.250000f },   { 1.000000f, 0.333333f },
   { 1.000000f, 0.416667f },   { 0.000000f, 0.416667f },
   { 0.000000f, 0.333333f },   { 0.000000f, 0.250000f },
   { 0.000000f, 0.166667f },   { 0.000000f, 0.083333f },
   { 0.083333f, 0.000000f },   { 0.166667f, 0.000000f },
   { 0.250000f, 0.000000f },   { 0.333333f, 0.000000f },
   { 0.416667f, 0.000000f },   { 0.916667f, 0.916667f },
   { 0.833333f, 0.916667f },   { 0.750000f, 0.916667f },
   { 0.666667f, 0.916667f },   { 0.583333f, 0.916667f },
   { 0.916667f, 0.833333f },   { 0.833333f, 0.833333f },
   { 0.750000f, 0.833333f },   { 0.666667f, 0.833333f },
   { 0.583333f, 0.833333f },   { 0.916667f, 0.750000f },
   { 0.833333f, 0.750000f },   { 0.750000f, 0.750000f },
   { 0.666667f, 0.750000f },   { 0.583333f, 0.750000f },
   { 0.916667f, 0.666667f },   { 0.833333f, 0.666667f },
   { 0.750000f, 0.666667f },   { 0.666667f, 0.666667f },
   { 0.583333f, 0.666667f },   { 0.916667f, 0.583333f },
   { 0.833333f, 0.583333f },   { 0.750000f, 0.583333f },
   { 0.666667f, 0.583333f },   { 0.583333f, 0.583333f },
   { 0.416667f, 0.916667f },   { 0.333333f, 0.916667f },
   { 0.250000f, 0.916667f },   { 0.166667f, 0.916667f },
   { 0.083333f, 0.916667f },   { 0.416667f, 0.833333f },
   { 0.333333f, 0.833333f },   { 0.250000f, 0.833333f },
   { 0.166667f, 0.833333f },   { 0.083333f, 0.833333f },
   { 0.416667f, 0.750000f },   { 0.333333f, 0.750000f },
   { 0.250000f, 0.750000f },   { 0.166667f, 0.750000f },
   { 0.083333f, 0.750000f },   { 0.416667f, 0.666667f },
   { 0.333333f, 0.666667f },   { 0.250000f, 0.666667f },
   { 0.166667f, 0.666667f },   { 0.083333f, 0.666667f },
   { 0.416667f, 0.583333f },   { 0.333333f, 0.583333f },
   { 0.250000f, 0.583333f },   { 0.166667f, 0.583333f },
   { 0.083333f, 0.583333f },   { 0.916667f, 0.416667f },
   { 0.833333f, 0.416667f },   { 0.750000f, 0.416667f },
   { 0.666667f, 0.416667f },   { 0.583333f, 0.416667f },
   { 0.916667f, 0.333333f },   { 0.833333f, 0.333333f },
   { 0.750000f, 0.333333f },   { 0.666667f, 0.333333f },
   { 0.583333f, 0.333333f },   { 0.916667f, 0.250000f },
   { 0.833333f, 0.250000f },   { 0.750000f, 0.250000f },
   { 0.666667f, 0.250000f },   { 0.583333f, 0.250000f },
   { 0.916667f, 0.166667f },   { 0.833333f, 0.166667f },
   { 0.750000f, 0.166667f },   { 0.666667f, 0.166667f },
   { 0.583333f, 0.166667f },   { 0.916667f, 0.083333f },
   { 0.833333f, 0.083333f },   { 0.750000f, 0.083333f },
   { 0.666667f, 0.083333f },   { 0.583333f, 0.083333f },
   { 0.416667f, 0.416667f },   { 0.333333f, 0.416667f },
   { 0.250000f, 0.416667f },   { 0.166667f, 0.416667f },
   { 0.083333f, 0.416667f },   { 0.416667f, 0.333333f },
   { 0.333333f, 0.333333f },   { 0.250000f, 0.333333f },
   { 0.166667f, 0.333333f },   { 0.083333f, 0.333333f },
   { 0.416667f, 0.250000f },   { 0.333333f, 0.250000f },
   { 0.250000f, 0.250000f },   { 0.166667f, 0.250000f },
   { 0.083333f, 0.250000f },   { 0.416667f, 0.166667f },
   { 0.333333f, 0.166667f },   { 0.250000f, 0.166667f },
   { 0.166667f, 0.166667f },   { 0.083333f, 0.166667f },
   { 0.416667f, 0.083333f },   { 0.333333f, 0.083333f },
   { 0.250000f, 0.083333f },   { 0.166667f, 0.083333f },
   { 0.083333f, 0.083333f },{0.0f, 0.0f} };    // End of UV_Reflect02

int Faces_Reflect02[][3] = {
   {  75,  69,  70 },   {  69,  75,  74 },
   {  76,  70,  71 },   {  70,  76,  75 },
   {  77,  71,  72 },   {  71,  77,  76 },
   {  78,  72,  73 },   {  72,  78,  77 },
   {  80,  74,  75 },   {  74,  80,  79 },
   {  81,  75,  76 },   {  75,  81,  80 },
   {  82,  76,  77 },   {  76,  82,  81 },
   {  83,  77,  78 },   {  77,  83,  82 },
   {  85,  79,  80 },   {  79,  85,  84 },
   {  86,  80,  81 },   {  80,  86,  85 },
   {  87,  81,  82 },   {  81,  87,  86 },
   {  88,  82,  83 },   {  82,  88,  87 },
   {  90,  84,  85 },   {  84,  90,  89 },
   {  91,  85,  86 },   {  85,  91,  90 },
   {  92,  86,  87 },   {  86,  92,  91 },
   {  93,  87,  88 },   {  87,  93,  92 },
   {  69,   0,   9 },   {   0,  69,  28 },
   {  13,  14,  73 },   {  14,  13,   1 },
   {  93,   4,  19 },   {   4,  93,  18 },
   {  23,  24,  89 },   {  24,  23,   3 },
   {  70,   9,  10 },   {   9,  70,  69 },
   {  73,  15,  78 },   {  15,  73,  14 },
   {  92,  19,  20 },   {  19,  92,  93 },
   {  89,  25,  84 },   {  25,  89,  24 },
   {  71,  10,  11 },   {  10,  71,  70 },
   {  78,  16,  83 },   {  16,  78,  15 },
   {  91,  20,  21 },   {  20,  91,  92 },
   {  84,  26,  79 },   {  26,  84,  25 },
   {  72,  11,  12 },   {  11,  72,  71 },
   {  83,  17,  88 },   {  17,  83,  16 },
   {  90,  21,  22 },   {  21,  90,  91 },
   {  79,  27,  74 },   {  27,  79,  26 },
   {  73,  12,  13 },   {  12,  73,  72 },
   {  88,  18,  93 },   {  18,  88,  17 },
   {  89,  22,  23 },   {  22,  89,  90 },
   {  74,  28,  69 },   {  28,  74,  27 },
   { 100,  94,  95 },   {  94, 100,  99 },
   { 101,  95,  96 },   {  95, 101, 100 },
   { 102,  96,  97 },   {  96, 102, 101 },
   { 103,  97,  98 },   {  97, 103, 102 },
   { 105,  99, 100 },   {  99, 105, 104 },
   { 106, 100, 101 },   { 100, 106, 105 },
   { 107, 101, 102 },   { 101, 107, 106 },
   { 108, 102, 103 },   { 102, 108, 107 },
   { 110, 104, 105 },   { 104, 110, 109 },
   { 111, 105, 106 },   { 105, 111, 110 },
   { 112, 106, 107 },   { 106, 112, 111 },
   { 113, 107, 108 },   { 107, 113, 112 },
   { 115, 109, 110 },   { 109, 115, 114 },
   { 116, 110, 111 },   { 110, 116, 115 },
   { 117, 111, 112 },   { 111, 117, 116 },
   { 118, 112, 113 },   { 112, 118, 117 },
   {  94,   1,  29 },   {   1,  94,  14 },
   {  33,  34,  98 },   {  34,  33,   2 },
   { 118,   5,  39 },   {   5, 118,  38 },
   {  43,  18, 114 },   {  18,  43,   4 },
   {  95,  29,  30 },   {  29,  95,  94 },
   {  98,  35, 103 },   {  35,  98,  34 },
   { 117,  39,  40 },   {  39, 117, 118 },
   { 114,  17, 109 },   {  17, 114,  18 },
   {  96,  30,  31 },   {  30,  96,  95 },
   { 103,  36, 108 },   {  36, 103,  35 },
   { 116,  40,  41 },   {  40, 116, 117 },
   { 109,  16, 104 },   {  16, 109,  17 },
   {  97,  31,  32 },   {  31,  97,  96 },
   { 108,  37, 113 },   {  37, 108,  36 },
   { 115,  41,  42 },   {  41, 115, 116 },
   { 104,  15,  99 },   {  15, 104,  16 },
   {  98,  32,  33 },   {  32,  98,  97 },
   { 113,  38, 118 },   {  38, 113,  37 },
   { 114,  42,  43 },   {  42, 114, 115 },
   {  99,  14,  94 },   {  14,  99,  15 },
   { 125, 119, 120 },   { 119, 125, 124 },
   { 126, 120, 121 },   { 120, 126, 125 },
   { 127, 121, 122 },   { 121, 127, 126 },
   { 128, 122, 123 },   { 122, 128, 127 },
   { 130, 124, 125 },   { 124, 130, 129 },
   { 131, 125, 126 },   { 125, 131, 130 },
   { 132, 126, 127 },   { 126, 132, 131 },
   { 133, 127, 128 },   { 127, 133, 132 },
   { 135, 129, 130 },   { 129, 135, 134 },
   { 136, 130, 131 },   { 130, 136, 135 },
   { 137, 131, 132 },   { 131, 137, 136 },
   { 138, 132, 133 },   { 132, 138, 137 },
   { 140, 134, 135 },   { 134, 140, 139 },
   { 141, 135, 136 },   { 135, 141, 140 },
   { 142, 136, 137 },   { 136, 142, 141 },
   { 143, 137, 138 },   { 137, 143, 142 },
   { 119,   3,  23 },   {   3, 119,  58 },
   {  19,  44, 123 },   {  44,  19,   4 },
   { 143,   7,  49 },   {   7, 143,  48 },
   {  53,  54, 139 },   {  54,  53,   6 },
   { 120,  23,  22 },   {  23, 120, 119 },
   { 123,  45, 128 },   {  45, 123,  44 },
   { 142,  49,  50 },   {  49, 142, 143 },
   { 139,  55, 134 },   {  55, 139,  54 },
   { 121,  22,  21 },   {  22, 121, 120 },
   { 128,  46, 133 },   {  46, 128,  45 },
   { 141,  50,  51 },   {  50, 141, 142 },
   { 134,  56, 129 },   {  56, 134,  55 },
   { 122,  21,  20 },   {  21, 122, 121 },
   { 133,  47, 138 },   {  47, 133,  46 },
   { 140,  51,  52 },   {  51, 140, 141 },
   { 129,  57, 124 },   {  57, 129,  56 },
   { 123,  20,  19 },   {  20, 123, 122 },
   { 138,  48, 143 },   {  48, 138,  47 },
   { 139,  52,  53 },   {  52, 139, 140 },
   { 124,  58, 119 },   {  58, 124,  57 },
   { 150, 144, 145 },   { 144, 150, 149 },
   { 151, 145, 146 },   { 145, 151, 150 },
   { 152, 146, 147 },   { 146, 152, 151 },
   { 153, 147, 148 },   { 147, 153, 152 },
   { 155, 149, 150 },   { 149, 155, 154 },
   { 156, 150, 151 },   { 150, 156, 155 },
   { 157, 151, 152 },   { 151, 157, 156 },
   { 158, 152, 153 },   { 152, 158, 157 },
   { 160, 154, 155 },   { 154, 160, 159 },
   { 161, 155, 156 },   { 155, 161, 160 },
   { 162, 156, 157 },   { 156, 162, 161 },
   { 163, 157, 158 },   { 157, 163, 162 },
   { 165, 159, 160 },   { 159, 165, 164 },
   { 166, 160, 161 },   { 160, 166, 165 },
   { 167, 161, 162 },   { 161, 167, 166 },
   { 168, 162, 163 },   { 162, 168, 167 },
   { 144,   4,  43 },   {   4, 144,  44 },
   {  39,  59, 148 },   {  59,  39,   5 },
   { 168,   8,  64 },   {   8, 168,  63 },
   {  68,  48, 164 },   {  48,  68,   7 },
   { 145,  43,  42 },   {  43, 145, 144 },
   { 148,  60, 153 },   {  60, 148,  59 },
   { 167,  64,  65 },   {  64, 167, 168 },
   { 164,  47, 159 },   {  47, 164,  48 },
   { 146,  42,  41 },   {  42, 146, 145 },
   { 153,  61, 158 },   {  61, 153,  60 },
   { 166,  65,  66 },   {  65, 166, 167 },
   { 159,  46, 154 },   {  46, 159,  47 },
   { 147,  41,  40 },   {  41, 147, 146 },
   { 158,  62, 163 },   {  62, 158,  61 },
   { 165,  66,  67 },   {  66, 165, 166 },
   { 154,  45, 149 },   {  45, 154,  46 },
   { 148,  40,  39 },   {  40, 148, 147 },
   { 163,  63, 168 },   {  63, 163,  62 },
   { 164,  67,  68 },   {  67, 164, 165 },
   { 149,  44, 144 },   {  44, 149,  45 },
{0, 0, 0} };    // End of Faces_Reflect02


/************************************************/
/*             Structure of Meshes              */
/************************************************/

 struct TagMeshes { int   NumVertex; 
                    int   NumFaces;
                    int   TexMap;
                    int   Material;
                    float Center[3];
                    float *Vertex;
                    float *UV;
                    float *Normals;
                    int   *Faces;
                    } Mesh[7];

/*---------------------------------------------------------------------*/
void CreateMeshesArray (void) {

          Mesh[0].NumVertex = NumVertex_Tetra; 
          Mesh[0].NumFaces  = NumFaces_Tetra;
          Mesh[0].TexMap    = TexMap_Tetra;
          Mesh[0].Material  = Material_Tetra;
          Mesh[0].Center[0] = Center_Tetra[0];
          Mesh[0].Center[1] = Center_Tetra[1];
          Mesh[0].Center[2] = Center_Tetra[2];
          Mesh[0].Vertex    = (float *)Vertex_Tetra;
          Mesh[0].UV        = (float *)UV_Tetra;
          Mesh[0].Normals   = (float *)Normals_Tetra;
          Mesh[0].Faces     = (int *)Faces_Tetra;

          Mesh[1].NumVertex = NumVertex_Title; 
          Mesh[1].NumFaces  = NumFaces_Title;
          Mesh[1].TexMap    = TexMap_Title;
          Mesh[1].Material  = Material_Title;
          Mesh[1].Center[0] = Center_Title[0];
          Mesh[1].Center[1] = Center_Title[1];
          Mesh[1].Center[2] = Center_Title[2];
          Mesh[1].Vertex    = (float *)Vertex_Title;
          Mesh[1].UV        = (float *)UV_Title;
          Mesh[1].Normals   = (float *)Normals_Title;
          Mesh[1].Faces     = (int *)Faces_Title;

          Mesh[2].NumVertex = NumVertex_Reflect; 
          Mesh[2].NumFaces  = NumFaces_Reflect;
          Mesh[2].TexMap    = TexMap_Reflect;
          Mesh[2].Material  = Material_Reflect;
          Mesh[2].Center[0] = Center_Reflect[0];
          Mesh[2].Center[1] = Center_Reflect[1];
          Mesh[2].Center[2] = Center_Reflect[2];
          Mesh[2].Vertex    = (float *)Vertex_Reflect;
          Mesh[2].UV        = (float *)UV_Reflect;
          Mesh[2].Normals   = (float *)Normals_Reflect;
          Mesh[2].Faces     = (int *)Faces_Reflect;

          Mesh[3].NumVertex = NumVertex_Reflect01; 
          Mesh[3].NumFaces  = NumFaces_Reflect01;
          Mesh[3].TexMap    = TexMap_Reflect01;
          Mesh[3].Material  = Material_Reflect01;
          Mesh[3].Center[0] = Center_Reflect01[0];
          Mesh[3].Center[1] = Center_Reflect01[1];
          Mesh[3].Center[2] = Center_Reflect01[2];
          Mesh[3].Vertex    = (float *)Vertex_Reflect01;
          Mesh[3].UV        = (float *)UV_Reflect01;
          Mesh[3].Normals   = (float *)Normals_Reflect01;
          Mesh[3].Faces     = (int *)Faces_Reflect01;

          Mesh[4].NumVertex = NumVertex_Globe; 
          Mesh[4].NumFaces  = NumFaces_Globe;
          Mesh[4].TexMap    = TexMap_Globe;
          Mesh[4].Material  = Material_Globe;
          Mesh[4].Center[0] = Center_Globe[0];
          Mesh[4].Center[1] = Center_Globe[1];
          Mesh[4].Center[2] = Center_Globe[2];
          Mesh[4].Vertex    = (float *)Vertex_Globe;
          Mesh[4].UV        = (float *)UV_Globe;
          Mesh[4].Normals   = (float *)Normals_Globe;
          Mesh[4].Faces     = (int *)Faces_Globe;

          Mesh[5].NumVertex = NumVertex_Back; 
          Mesh[5].NumFaces  = NumFaces_Back;
          Mesh[5].TexMap    = TexMap_Back;
          Mesh[5].Material  = Material_Back;
          Mesh[5].Center[0] = Center_Back[0];
          Mesh[5].Center[1] = Center_Back[1];
          Mesh[5].Center[2] = Center_Back[2];
          Mesh[5].Vertex    = (float *)Vertex_Back;
          Mesh[5].UV        = (float *)UV_Back;
          Mesh[5].Normals   = (float *)Normals_Back;
          Mesh[5].Faces     = (int *)Faces_Back;

          Mesh[6].NumVertex = NumVertex_Reflect02; 
          Mesh[6].NumFaces  = NumFaces_Reflect02;
          Mesh[6].TexMap    = TexMap_Reflect02;
          Mesh[6].Material  = Material_Reflect02;
          Mesh[6].Center[0] = Center_Reflect02[0];
          Mesh[6].Center[1] = Center_Reflect02[1];
          Mesh[6].Center[2] = Center_Reflect02[2];
          Mesh[6].Vertex    = (float *)Vertex_Reflect02;
          Mesh[6].UV        = (float *)UV_Reflect02;
          Mesh[6].Normals   = (float *)Normals_Reflect02;
          Mesh[6].Faces     = (int *)Faces_Reflect02;

} // End of CreateMeshesArray() 
